$(function () {
	getAllSpaceEducationCourse();
	$( '#exercise_DIV_file' ).prettyFile();
	$('#exercise_DIV_time_div .input-group.date').datepicker({
        todayBtn: "linked",
        keyboardNavigation: false,
        forceParse: false,
        calendarWeeks: true,
        autoclose: true
    });
})
var oTable;
var page_start=0;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {

	 	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
	             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
	             "bDestroy" : true,       //销毁表格对象
	             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
	             "searching": false,//禁用搜索（搜索框）
	             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
	             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
	             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
	             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
	             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
	             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
	             //"bFilter" : true, //是否启动过滤、搜索功能
	             "bAutoWidth": false,
	    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
	             /*   "iDisplayLength": 5,
	                "iDisplayStart": 0,*/
	             "select": {
	                 style: 'os',
	                 selector: 'td:first-child'
	             },
                 "ajax": {  //ajax方式向后台发送请求
                     "type": "POST",
                     "url": webroot+"SpaceExercise/getAllSpaceExercise",
                     "dataType": "json"
                 },
                 "columns": [
                     { "sTitle": "活动类型",   "mData": "exerciseType" },
                     { "sTitle": "活动时间",  "mData": "exerciseTime" },
                     { "sTitle": "活动主题",  "mData": "exerciseName" },
                     { "sTitle": "主讲人",  "mData": "exerciseCompere" },
                     { "sTitle": "参与人数(名)",  "mData": "exerciseNumber" },
                     { "sTitle": "活动文件",  "mData": "exerciseFileName" ,"searchable": false},
                     { "sTitle": "操作", "mData": "editable","width": "250px","searchable": false}
                 ],
                 "oLanguage" : { // 国际化配置
                     "sProcessing" : "正在获取数据，请稍后...",
                     "sLengthMenu" : "每页 _MENU_ 条记录",
                     "sZeroRecords" : "没有找到数据",
                     "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                     "sInfoEmpty" : "记录数为0",
                     "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                     "sInfoPostFix" : "",
                     // "sSearch" : "查询",
                     "sUrl" : "",
                     "oPaginate" : {
                         "sFirst" : "第一页",
                         "sPrevious" : "上一页",
                         "sNext" : "下一页",
                         "sLast" : "最后一页"
                     }
                 },
		    });
		    $('.i-checks').iCheck({
		        checkboxClass: 'icheckbox_square-green',
		        radioClass: 'iradio_square-green',
		    });
		    $('#name_exercise_DIV_exerciseType_qt').on('ifChecked', function(event){
				$("#exercise_DIV_exerciseType").show();
				
			});
			$('#name_exercise_DIV_exerciseType_qt').on('ifUnchecked', function(event){
				$("#exercise_DIV_exerciseType").hide();
			});
		} );
	 
	 $.ajax({
			type : "POST",
			url : webroot+"SpaceExercise/getAllSpaceExerciseSynthesize",
			data : "" ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				$("#exerciseSize").html(result.exerciseSize);
				$("#exerciseSum").html(result.exerciseSum);
			}
		});	
}
function search() {
    var exerciseName= $("#exerciseName").val();
    searchSpaceMessage(exerciseName);
}
function searchSpaceMessage(exerciseName) {
    var url=webroot+"SpaceExercise/getAllSpaceExercise?exerciseName="+exerciseName;
    $('#hidden-table-info').DataTable().ajax.url( url).load();
}
/**
 * 下载文件
 * @returns
 */
function getSpaceExercise_file(id){
	window.open(webroot+"File/downFileByFileId?id="+id);
}
/**
 * 添加或修改div显示
 * @param id
 * @returns
 */
function exercise_DIV_Show(id){
	if(id == "0"){
		$("#exercise_DIV_id").val("0");			//id
		$("#exercise_DIV_exerciseType").val("");	//活动类别
		$("#exercise_DIV_exerciseTime").val("");		//活动时间
		$("#exercise_DIV_exerciseName").val("");		//活动名称
		$("#exercise_DIV_time_div .input-group.date").datepicker('setStartDate',null);
		$("#exercise_DIV_exerciseCompere").val("");	//主讲人
		$("#exercise_DIV_exerciseNumber").val("");	//参与人数
		$("#exercise_DIV_file_ID").val("");	//文件id
		$("#exercise_DIV_file_Name").val("");	//文件名称
		$("#exercise_file_div").empty();
		$("#exercise_file_div").html(' <input type="file" id="exercise_DIV_file" name="mainfile" class="form-control" >');
		$( '#exercise_DIV_file' ).prettyFile();
		$('.i-checks').iCheck('uncheck');
	}else {
		$("#exercise_file_div").empty();
		$("#exercise_file_div").html(' <input type="file" id="exercise_DIV_file" name="mainfile" class="form-control" >');
		$( '#exercise_DIV_file' ).prettyFile();
		$('.i-checks').iCheck('uncheck');
		var data={};
		data['exerciseID'] = id;
		$.ajax({
			type : "POST",
			url : webroot+"SpaceExercise/getSpaceExercise",
			data : JSON.stringify(data) ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var spaceExercise=result.spaceExercise;
				
				$("#exercise_DIV_id").val(spaceExercise.exerciseID);			//id
				//$("#exercise_DIV_exerciseType").val(spaceExercise.exerciseType);	//活动类别
				$("#exercise_DIV_exerciseTime").val(spaceExercise.exerciseTime);		//活动时间
				$("#exercise_DIV_exerciseName").val(spaceExercise.exerciseName);		//活动名称
				$("#exercise_DIV_exerciseCompere").val(spaceExercise.exerciseCompere);	//主讲人
				$("#exercise_DIV_exerciseNumber").val(spaceExercise.exerciseNumber);	//参与人数
				$("#exercise_DIV_file_ID").val(spaceExercise.exerciseFileID);	//文件id
				$("#exercise_DIV_file_Name").val(spaceExercise.exerciseFileName);	//文件名称
				$("#exercise_file_div input[class='input-large form-control']").val(spaceExercise.exerciseFileName);	//文件名称
				var exerciseType=spaceExercise.exerciseType;
				switch (exerciseType) {
				case "讲坛沙龙":
					$("input[name='name_exercise_DIV_exerciseType']:radio[value='讲坛沙龙']").iCheck('check');
					break;
				case "培训竞赛":
					$("input[name='name_exercise_DIV_exerciseType']:radio[value='培训竞赛']").iCheck('check');
					break;
				case "参观交流":
					$("input[name='name_exercise_DIV_exerciseType']:radio[value='参观交流']").iCheck('check');
					break;
				case "展示路演":
					$("input[name='name_exercise_DIV_exerciseType']:radio[value='展示路演']").iCheck('check');
					break;
				case "师资培训":
					$("input[name='name_exercise_DIV_exerciseType']:radio[value='师资培训']").iCheck('check');
					break;
				default:
					$("#name_exercise_DIV_exerciseType_qt").iCheck('check');
					$("#exercise_DIV_exerciseType").val(exerciseType);
					break;
				}

			}
		});	
	}
	$('#reform_DIV').modal('show');
}
/**
 * 保存一个活动
 * 2017年3月20日14:02:07
 * @author 20170251
 * 
 * @returns
 */
function course_DIV_save(){
	var exerciseFileID=$("#exercise_DIV_file_ID").val();	//文件id
	var exerciseFileName=$("#exercise_DIV_file_Name").val();	//文件名称
	var exerciseType=$("input[name='name_exercise_DIV_exerciseType']:checked").val();
	var exerciseCompere=$("#exercise_DIV_exerciseCompere").val();	//主讲人
	var username = /^[\u4E00-\u9FA5A-Za-z]+$/;
	
	if(!username.test(exerciseCompere)){
		swal("失败！",'主讲人只能输入中文和英文', "error");
        return ; 
	}
	if(exerciseType=="其他"){
		exerciseType=$("#exercise_DIV_exerciseType").val();
	}
	if(undefined==exerciseType){
		exerciseType="";
	}
	if(fileChangeNo("exercise_DIV_file")==true){
		if(pdfFileChange("exercise_DIV_file")==false){
			return;
		}
		$("#Reform_DIV_ZZSC").show();
		$("#Reform_DIV_SC").hide();
		$.ajaxFileUpload({  
		    url: webroot+'File/upload',  
		    secureuri:false, 
		    dataType: 'json',
		    fileElementId : ["exercise_DIV_file"],  
		    success: function (data){//上传成功
		    	$("#Reform_DIV_ZZSC").hide();
		    	$("#Reform_DIV_SC").show();
		    	exerciseFileName=data.fileName;
		    	exerciseFileID=data.fileID;
		    	
		    	var exerciseID=$("#exercise_DIV_id").val();			//id
		    	var exerciseTime=$("#exercise_DIV_exerciseTime").val();		//活动时间
		    	var exerciseName=$("#exercise_DIV_exerciseName").val();		//活动名称
		    	var exerciseCompere=$("#exercise_DIV_exerciseCompere").val();	//主讲人
		    	var exerciseNumber=$("#exercise_DIV_exerciseNumber").val();	//参与人数
		    	var data={};
		    	data['exerciseID'] = exerciseID;
		    	data['exerciseName'] = exerciseName;
		    	data['exerciseTime'] = exerciseTime;
		    	data['exerciseCompere'] = exerciseCompere;
		    	data['exerciseNumber'] = exerciseNumber;
		    	data['exerciseFileID'] = exerciseFileID;
		    	data['exerciseFileName'] = exerciseFileName;
		    	data['exerciseType'] = exerciseType;
		    	data['exerciseAddress'] = "0";
		    	$.ajax({
		    		type : "POST",
		    		url : webroot+"SpaceExercise/saveSpaceExercise",
		    		data : JSON.stringify(data) ,
		    		async:false,
		    		contentType:'application/json;charset=UTF-8',
		    		success : function(result) {
		    			if(result.result==true){
		    				//alert(result.msg);
		    				swal("成功！", result.msg, "success");
//		    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//		    				getAllSpaceEducationCourse();
		    				$('#hidden-table-info').DataTable().draw(false);
		    				$('#reform_DIV').modal('hide');
		    			}else{
		    				//alert(result.msg);
		    				swal("失败！", result.msg, "error");
		    			}
		    		}
		    	});	
	        }
		});
	}else{
		var exerciseID=$("#exercise_DIV_id").val();			//id
    	var exerciseTime=$("#exercise_DIV_exerciseTime").val();		//活动时间
    	var exerciseName=$("#exercise_DIV_exerciseName").val();		//活动名称
    	var exerciseCompere=$("#exercise_DIV_exerciseCompere").val();	//主讲人
    	var exerciseNumber=$("#exercise_DIV_exerciseNumber").val();	//参与人数
    	var data={};
    	data['exerciseID'] = exerciseID;
    	data['exerciseName'] = exerciseName;
    	data['exerciseTime'] = exerciseTime;
    	data['exerciseCompere'] = exerciseCompere;
    	data['exerciseNumber'] = exerciseNumber;
    	data['exerciseFileID'] = exerciseFileID;
    	data['exerciseFileName'] = exerciseFileName;
    	data['exerciseType'] = exerciseType;
    	data['exerciseAddress'] = "";
    	$.ajax({
    		type : "POST",
    		url : webroot+"SpaceExercise/saveSpaceExercise",
    		data : JSON.stringify(data) ,
    		async:false,
    		contentType:'application/json;charset=UTF-8',
    		success : function(result) {
    			if(result.result==true){
    				//alert(result.msg);
    				swal("成功！", result.msg, "success");
//    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//    				getAllSpaceEducationCourse();
    				$('#hidden-table-info').DataTable().draw(false);
    				$('#reform_DIV').modal('hide');
    			}else{
    				//alert(result.msg);
    				swal("失败！", result.msg, "error");
    			}
    		}
    	});	
	}
	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
/**
 * 导出
 * @returns
 */
function exercise_DIV_Derive(){
	downloadFile(webroot+"SpaceExercise/deriveSpaceExercise");
}
/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}
/**
 * 删除一个课程
 * @returns
 * @author 20170251
 * 2017年3月13日13:47:30
 */
function exercise_DIV_remove(id){
	swal({
        title: "您确定删除吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['exerciseID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"SpaceExercise/removeSpaceExercise",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
//        				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//        				getAllSpaceEducationCourse();
        				$('#hidden-table-info').DataTable().draw(false);
        				changPage();
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	/*if (confirm("您确定删除吗？")) {  
    }  
    else {  
    	return;
    }  
	var data={};
	data['exerciseID'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceExercise/removeSpaceExercise",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}
function exercise_DIV_exercise(id){
	if(id=="0"){
		//alert("编写新闻时间已过！")
		swal("失败！", "编写活动通知时间已过！", "error");
		return;
	}
	window.location.href=webroot+"goto/space/material_Information?exerciseType=1&exerciseID="+id;
}
function exercise_DIV_new(id){
	if(id=="0"){
		//alert("编写新闻时间已过！")
		swal("失败！", "编写新闻时间已过！", "error");
		return;
	}
	window.location.href=webroot+"goto/space/material_Information?exerciseType=2&exerciseID="+id;
}

//删除当前页最后一条记录，跳到上一页
function changPage(){
    var settings = oTable.fnSettings(); //获得datatable的settings; //获得datatable的settings
    var paging_length = settings._iDisplayLength; //当前每页显示多少记录
    var page_start = settings._iDisplayStart; //当前页开始是第几条记录
    var iRecordsDisplay = settings._iRecordsDisplay; //当前页 
    if ((iRecordsDisplay - page_start) == 1) { 
             if (page_start > 0) { 
                  oTable.fnPageChange('previous', true); 
             } 
    }
}
