$(function () {
	$(document).ready(function () {
	    $('.i-checks').iCheck({
	        checkboxClass: 'icheckbox_square-green',
	        radioClass: 'iradio_square-green',
	    });
	});
	$('#id_registerTime_div .input-group.date').datepicker({
        todayBtn: "linked",
        keyboardNavigation: false,
        forceParse: false,
        calendarWeeks: true,
        autoclose: true,
        endDate : new Date()
    });
	getOneSpaceInfromation();
})

function getOneSpaceInfromation(){
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMessage/getOneSpaceMessage",
		data : "",
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			var spaceMessage=result.spaceMessage;
			if(spaceMessage!=null){
				var spaceMessageBusiness=result.spaceMessageBusiness;
				$("#id_showID").html("ID:"+spaceMessage.spaceShowID);		//显示id
				$("#id_spaceName").val(spaceMessage.spaceName);	//空间名称
				$("#id_spaceRunSubject").val(spaceMessage.spaceRunSubject);//运营主体
				$("#id_spaceSchool").val(spaceMessage.spaceSchool);	//所属高校
				$("#id_spaceType").val(spaceMessage.spaceType);	//空间类型
				$("#id_registerTime").val(spaceMessage.spaceRegisterTime);	//空间认定时间
				$("#id_registerArea").val(spaceMessage.spaceRegisterArea);	//空间认定面积
				$("#id_addressArea").val(spaceMessage.addressArea);	//区县
				$("#id_address").val(spaceMessage.address);	//详细地址
				$("#id_principal").val(spaceMessage.principal);	//负责人
				$("#id_principalTell").val(spaceMessage.principalTell);	//负责人电话
				$("#id_principalWeixin").val(spaceMessage.principalWeixin);//负责人微信
				$("#id_linkman").val(spaceMessage.linkman);	//联络人
				$("#id_linkmanTell").val(spaceMessage.linkmanTell);//联络人电话
				$("#id_linkmanWeixin").val(spaceMessage.linkmanWeixin);//联络人微信
				$("#id_businessConsultationTell").val(spaceMessage.businessConsultationTell);//业务咨询电话
				$("#id_businessConsultationEmail").val(spaceMessage.businessConsultationEmail);//业务咨询邮箱
				$("#id_onlineConsultationPlatform").val(spaceMessage.onlineConsultationPlatform);//线上咨询平台
				$("#id_fixedLocationNumber").val(spaceMessage.fixedLocationNumber);//固定工位数量
				$("#id_flowStationNumber").val(spaceMessage.flowStationNumber);//流动工位数量
				if(spaceMessageBusiness!=null){
					for(var spaceMessageBusiness_i in spaceMessageBusiness){
						$("input[name=name_spaceMessageBusiness]:checkbox[value='"+spaceMessageBusiness[spaceMessageBusiness_i].businessName+"']").attr('checked','true');
					}
				}
				if(spaceMessage.certification==1){
					$("#certification_div").show();
				}else{
					$("#certification_div").hide();
					$("#id_registerTime").val("");
					$("#id_registerArea").val("");
				}
			}
		}
	});	
}

function saveOneSpaceInfromation(){
	var spaceName= $("#id_spaceName").val();	//空间名称
	var spaceRunSubject= $("#id_spaceRunSubject").val();//运营主体
	var spaceSchool= $("#id_spaceSchool").val();	//所属高校
	var spaceType= $("#id_spaceType").val();	//空间类型
	var spaceRegisterTime= $("#id_registerTime").val();	//空间认定时间
	var spaceRegisterArea= $("#id_registerArea").val();	//空间认定面积
	var addressArea= $("#id_addressArea").val();	//区县
	var address= $("#id_address").val();	//详细地址
	var principal= $("#id_principal").val();	//负责人
	var principalTell= $("#id_principalTell").val();	//负责人电话
	var principalWeixin= $("#id_principalWeixin").val();//负责人微信
	var linkman= $("#id_linkman").val();	//联络人
	var linkmanTell= $("#id_linkmanTell").val();//联络人电话
	var linkmanWeixin= $("#id_linkmanWeixin").val();//联络人微信
	var businessConsultationTell= $("#id_businessConsultationTell").val();//业务咨询电话
	var businessConsultationEmail= $("#id_businessConsultationEmail").val();//业务咨询邮箱
	var onlineConsultationPlatform= $("#id_onlineConsultationPlatform").val();//线上咨询平台
	var fixedLocationNumber= $("#id_fixedLocationNumber").val();//固定工位数量
	var flowStationNumber= $("#id_flowStationNumber").val();//流动工位数量
	var spaceMessageBusiness = "";
	$('input:checkbox[name=name_spaceMessageBusiness]:checked').each(function(i){
		if(0==i){
			spaceMessageBusiness = $(this).val();
	       }else{
	    	   spaceMessageBusiness += (","+$(this).val());
	       }
	});
	if(addressArea==null){
		addressArea="";
	}
	if(spaceType==null){
		spaceType="";
	}
	var username = /^[\u4E00-\u9FA5A-Za-z]+$/;
	
	if(!username.test($.trim(principal))){
		swal("失败！",'负责人只能输入中文和英文', "error");
        return ; 
	}
	if(!username.test($.trim(linkman))){
		swal("失败！",'联络人只能输入中文和英文', "error");
        return ; 
	}
	if(businessConsultationEmail!=""){
		var re = /^([0-9A-Za-z\-_\.]+)@([0-9a-z]+\.[a-z]{2,3}(\.[a-z]{2})?)$/g;
		if(re.test(businessConsultationEmail)){
	    }else{
	    	//alert("请填写正确的邮箱");
	    	swal("失败！", "请填写正确的业务咨询邮箱", "error");
			return;
	    }
	}
	
	var data={};
	data['spaceName'] = spaceName;
	data['spaceRunSubject'] = spaceRunSubject;
	data['spaceSchool'] = spaceSchool;
	data['spaceType'] = spaceType;
	data['spaceRegisterTime'] = spaceRegisterTime;
	data['spaceRegisterArea'] = spaceRegisterArea;
	data['addressArea'] = addressArea;
	data['address'] = address;
	data['principal'] = principal;
	data['principalTell'] = principalTell;
	data['principalWeixin'] = principalWeixin;
	data['linkman'] = linkman;
	data['linkmanTell'] = linkmanTell;
	data['linkmanWeixin'] = linkmanWeixin;
	data['businessConsultationTell'] = businessConsultationTell;
	data['businessConsultationEmail'] = businessConsultationEmail;
	data['onlineConsultationPlatform'] = onlineConsultationPlatform;
	data['fixedLocationNumber'] = fixedLocationNumber;
	data['flowStationNumber'] = flowStationNumber;
	data['spaceMessageBusiness'] = spaceMessageBusiness;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMessage/SaveSpaceMessage",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			//alert(result.msg);
			if(result.result==true){
				//alert();
				swal("成功！", result.msg, "success");
				
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});
}
function saveOneSpaceInfromationTemp(){
	var spaceName= $("#id_spaceName").val();	//空间名称
	var spaceRunSubject= $("#id_spaceRunSubject").val();//运营主体
	var spaceSchool= $("#id_spaceSchool").val();	//所属高校
	var spaceType= $("#id_spaceType").val();	//空间类型
	var spaceRegisterTime= $("#id_registerTime").val();	//空间认定时间
	var spaceRegisterArea= $("#id_registerArea").val();	//空间认定面积
	var addressArea= $("#id_addressArea").val();	//区县
	var address= $("#id_address").val();	//详细地址
	var principal= $("#id_principal").val();	//负责人
	var principalTell= $("#id_principalTell").val();	//负责人电话
	var principalWeixin= $("#id_principalWeixin").val();//负责人微信
	var linkman= $("#id_linkman").val();	//联络人
	var linkmanTell= $("#id_linkmanTell").val();//联络人电话
	var linkmanWeixin= $("#id_linkmanWeixin").val();//联络人微信
	var businessConsultationTell= $("#id_businessConsultationTell").val();//业务咨询电话
	var businessConsultationEmail= $("#id_businessConsultationEmail").val();//业务咨询邮箱
	var onlineConsultationPlatform= $("#id_onlineConsultationPlatform").val();//线上咨询平台
	var fixedLocationNumber= $("#id_fixedLocationNumber").val();//固定工位数量
	var flowStationNumber= $("#id_flowStationNumber").val();//流动工位数量
	
	if(businessConsultationEmail!=""){
		var re = /^([0-9A-Za-z\-_\.]+)@([0-9a-z]+\.[a-z]{2,3}(\.[a-z]{2})?)$/g;
		if(re.test(businessConsultationEmail)){
	    }else{
	    	//alert("请填写正确的邮箱");
	    	swal("失败！", "请填写正确的业务咨询邮箱", "error");
			return;
	    }
	}
	
	var spaceMessageBusiness = "";
	$('input:checkbox[name=name_spaceMessageBusiness]:checked').each(function(i){
		if(0==i){
			spaceMessageBusiness = $(this).val();
	       }else{
	    	   spaceMessageBusiness += (","+$(this).val());
	       }
	});
	var data={};
	data['spaceName'] = spaceName;
	data['spaceRunSubject'] = spaceRunSubject;
	data['spaceSchool'] = spaceSchool;
	data['spaceType'] = spaceType;
	data['spaceRegisterTime'] = spaceRegisterTime;
	data['spaceRegisterArea'] = spaceRegisterArea;
	data['addressArea'] = addressArea;
	data['address'] = address;
	data['principal'] = principal;
	data['principalTell'] = principalTell;
	data['principalWeixin'] = principalWeixin;
	data['linkman'] = linkman;
	data['linkmanTell'] = linkmanTell;
	data['linkmanWeixin'] = linkmanWeixin;
	data['businessConsultationTell'] = businessConsultationTell;
	data['businessConsultationEmail'] = businessConsultationEmail;
	data['onlineConsultationPlatform'] = onlineConsultationPlatform;
	data['fixedLocationNumber'] = fixedLocationNumber;
	data['flowStationNumber'] = flowStationNumber;
	data['spaceMessageBusiness'] = spaceMessageBusiness;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMessage/SaveSpaceMessageTemp",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert();
				swal("成功！", result.msg, "success");
				
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});
}